Name:		gnome-do
Version:	0.95.3
Release:	%mkrel 3
Summary:	Quick launch and search

License:	GPLv3+
Group:		Graphical desktop/GNOME
URL:		http://do.cooperteam.net/
Source0:	http://launchpad.net/do/trunk/%version/+download/%name-%version.tar.gz
Patch0:		gnome-do-0.9-link.patch
Patch1:		gnome-do-0.95.1-use_cast_rather_than_as.patch
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(dbus-sharp-1.0)
BuildRequires:	pkgconfig(dbus-sharp-glib-1.0)
BuildRequires:	pkgconfig(gconf-sharp-2.0)
BuildRequires:	pkgconfig(gdk-2.0)
BuildRequires:	pkgconfig(gdk-x11-2.0)
BuildRequires:	pkgconfig(gio-sharp-2.0)
BuildRequires:	pkgconfig(gkeyfile-sharp)
BuildRequires:	pkgconfig(glade-sharp-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(glib-sharp-2.0)
BuildRequires:	pkgconfig(gnome-keyring-sharp-1.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk-sharp-2.0)
BuildRequires:	pkgconfig(mono-addins)
BuildRequires:	pkgconfig(mono-addins-gui)
BuildRequires:	pkgconfig(mono-addins-setup)
BuildRequires:	pkgconfig(mono-cairo) >= 3.2
BuildRequires:	pkgconfig(notify-sharp)
BuildRequires:	gnome-sharp2-devel
BuildRequires:	gnome-desktop-sharp-devel
BuildRequires:	gnome-keyring-sharp
BuildRequires:	pkgconfig(notify-sharp)
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	gtk2-devel
BuildRequires:	pkgconfig(gconf-2.0)

Recommends:	gnome-do-plugins >= 0.8

%description
Allows you to quickly search for many objects present in your
GNOME desktop environment and perform commonly used commands
on those objects.

%prep
%setup -q
%autopatch -p1

# fix build with mono4
sed -i "s#gmcs#mcs#g" configure*
sed -i "s#gmcs#mcs#g" m4/shamrock/mono.m4

%build
autoreconf -vfi
%configure2_5x --disable-schemas-install
%make

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%preun
%preun_uninstall_gconf_schemas gnome-do

%files -f %{name}.lang
%doc AUTHORS COPYING COPYRIGHT
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_libdir}/gnome-do
%{_iconsdir}/hicolor/*/*/*
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/applications/gnome-do.desktop
%{_libdir}/pkgconfig/*


%changelog
* Mon Apr 11 2016 daviddavid <daviddavid> 0.95.3-3.mga6
+ Revision: 1000435
- fix build with mono4 >= 4.2.3

* Sun Feb 14 2016 umeabot <umeabot> 0.95.3-2.mga6
+ Revision: 960342
- Mageia 6 Mass Rebuild

* Fri Dec 25 2015 fwang <fwang> 0.95.3-1.mga6
+ Revision: 914557
- 0.95.3

* Tue Feb 24 2015 matteo <matteo> 0.95.1-4.mga5
+ Revision: 816805
- fixed breakage due to mono 3.12.0 (use cast instead of as)

* Wed Oct 15 2014 umeabot <umeabot> 0.95.1-3.mga5
+ Revision: 747796
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.95.1-2.mga5
+ Revision: 679717
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Thu Jul 24 2014 fwang <fwang> 0.95.1-1.mga5
+ Revision: 656282
- add more br
- 0.95.1

* Wed Jun 25 2014 ovitters <ovitters> 0.9-4.mga5
+ Revision: 639610
- remove la files

* Sat Oct 19 2013 umeabot <umeabot> 0.9-3.mga4
+ Revision: 530754
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 fwang <fwang> 0.9-2.mga4
+ Revision: 459631
- more linkage fix
- build verbose
- add br on gconf
- add br on gconf
- always reconf
- try fix linkage

* Sat Jan 12 2013 umeabot <umeabot> 0.9-2.mga3
+ Revision: 352109
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 fwang <fwang> 0.9-1.mga3
+ Revision: 257485
- new version 0.9

* Wed Jul 06 2011 wally <wally> 0.8.5-1.mga2
+ Revision: 119296
- new version 0.8.5
- drop unneeded P1

  + fwang <fwang>
    - new version 0.8.4

* Fri Apr 08 2011 ennael <ennael> 0.8.3.1-2.mga1
+ Revision: 82295
- clean spec file
- imported package gnome-do


* Sun Oct 24 2010 Funda Wang <fwang@mandriva.org> 0.8.3.1-2mdv2011.0
+ Revision: 588673
- rebuild

* Sat Dec 26 2009 Funda Wang <fwang@mandriva.org> 0.8.3.1-1mdv2010.1
+ Revision: 482382
- new version 0.8.3.1

* Fri Jul 10 2009 Götz Waschk <waschk@mandriva.org> 0.8.2-1mdv2010.0
+ Revision: 394125
- new version
- drop patch

* Thu Apr 09 2009 Frederic Crozat <fcrozat@mandriva.com> 0.8.1.3-2mdv2009.1
+ Revision: 365324
- Patch0 (Fedora): fix applications indexing
- add .desktop to /usr/share/applications (Mdv bug #49682)

* Wed Mar 18 2009 Funda Wang <fwang@mandriva.org> 0.8.1.3-1mdv2009.1
+ Revision: 357157
- New version 0.8.1.3

* Mon Mar 16 2009 Funda Wang <fwang@mandriva.org> 0.8.1-2mdv2009.1
+ Revision: 355816
- add suggests

* Mon Mar 16 2009 Funda Wang <fwang@mandriva.org> 0.8.1-1mdv2009.1
+ Revision: 355767
- New version 0.8.1

* Sat Jan 31 2009 Funda Wang <fwang@mandriva.org> 0.8.0-1mdv2009.1
+ Revision: 335686
- new version 0.8.0

* Wed Nov 12 2008 Frederic Crozat <fcrozat@mandriva.com> 0.6.1.0-1mdv2009.1
+ Revision: 302524
- Release 0.6.1.0

* Sat Sep 20 2008 Frederic Crozat <fcrozat@mandriva.com> 0.6.0.1-1mdv2009.0
+ Revision: 286243
- Release 0.6.0.1
- Remove patch0, no longer needed
- import gnome-do


